package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "GoblinZhengzaiGoodPageVo", description = "正在下单商铺列表vo带页数")
@Data
public class GoblinZhengzaiGoodPageVo implements Serializable,Cloneable {
    @ApiModelProperty(position = 1, value = "数据")
    private List<GoblinZhengzaiGoodVo> data;
    @ApiModelProperty(position = 2, value = "当前页")
    private int page;
    @ApiModelProperty(position = 3, value = "总数")
    private long total;

    private static final GoblinZhengzaiGoodPageVo obj = new GoblinZhengzaiGoodPageVo();

    public static GoblinZhengzaiGoodPageVo getNew() {
        try {
            return (GoblinZhengzaiGoodPageVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinZhengzaiGoodPageVo();
    }
}
